--公会对抗 战斗布阵
checkRequire("Lua_FightLineupWindow");
Lua_LeagueDuelLineupWindow = class("Lua_LeagueDuelLineupWindow", Lua_FightLineupWindow);

function Lua_LeagueDuelLineupWindow:ctor()
    self:superCall("ctor");

    self.windowName = "Lua_LeagueDuelLineupWindow";
end

function Lua_LeagueDuelLineupWindow:buildShowItem()
    self:superCall("buildShowItem");

    self:addLuaEvent("UPDATE_OTHER_ROLE_LINEUP", self, self.updateServerInfo);
end

function Lua_LeagueDuelLineupWindow:dispose()
    self:superCall("dispose");
end

function Lua_LeagueDuelLineupWindow:showWin(param)
    self:superCall("showWin", param)

    Lua_ProxyManager.getProxy("Lua_RoleProxy"):sOtherRoleLineup(param.enemyId, param.enemyFlag, Lua_HeroUtil.LINEUP_LRAGUEDUEL_DEFENSIZE);
end

function Lua_LeagueDuelLineupWindow:updateServerInfo(msg)
    self.defenderItem:setName(msg.name);
    
    local force;
    local heroList;
    if msg.hero_list ~= nil and msg.hero_list[self.lineupIdx] ~= nil then
        force = msg.hero_list[self.lineupIdx].force;
        heroList = msg.hero_list[self.lineupIdx].hero_list;
    else
        force = 0;
        heroList = {};
    end
    self.defenderItem:setForce(force);
    self:updateEnemyLineup(2, heroList);
end

function Lua_LeagueDuelLineupWindow:onFight()
    if self:checkIsChange() then
        self:onSaveLineup()
    end
    Lua_ProxyManager.getProxy("Lua_FightProxy"):sStartFight(self.template_id, 0, tonumber(tostring(self.showData.enemyId)),
        nil, nil, nil, nil, self.showData.grabType, self.showData.recordId);
end