--光环界面
Lua_HeroLineupAureoleWindow = class("Lua_HeroLineupAureoleWindow", Lua_Window);
function Lua_HeroLineupAureoleWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_HeroLineupAureoleWindow";
	self.skinName = "HeroLineupAureoleWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_HeroLineupAureoleWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.itemList = Array();
end

function Lua_HeroLineupAureoleWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList:clear();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_HeroLineupAureoleWindow:showWin(param)
	self:superCall("showWin", param);
	self:updateShowInfo();
end

function Lua_HeroLineupAureoleWindow:updateShowInfo()
	local arr;
	local index = 1;
	local desLabel;
	local desText;
	for i = 1, 3 do
		desLabel = self["des_"..i];
		desLabel:setLangValue(126335 + i);
		desLabel:resetSize();
		arr = DataCenter.heroLineupUtil:getAureoleInfoByType(i);
		for j = 1, arr:getSize() do
			desText = self.itemList[index];
			if desText == nil then
				desText = UICreate.createLabel(self.content, nil, 0, 0, 100, 31, 20);
				desText.pivotValue = 0;
				desText.alignmentValue = 0;
				desText.horizontalOverflowValue = 1;
				self.itemList:add(desText);
			end
	 		desText:setLocation(-160, desLabel.posY - desLabel.height - 20 - (j - 1) * 26);

			if arr[j] == self.showData then
				desText.colorStr = Lua_ColorDefine.transColorStr("7DEA43");
			else
				desText.colorStr = Lua_ColorDefine.transColorStr("A1A1A1");
			end
			config = DataCenter.heroLineupUtil:getAureoleConfig(arr[j]);
			desText.text = config.describe;

			index = index + 1;
		end
	end
end