Lua_WildLodeLineupCell = class("Lua_WildLodeLineupCell", Lua_HeroLineupCell)

function Lua_WildLodeLineupCell:updateSelected()
	if self.curLineupType ~= 52 and self.curLineupType ~= 55 and self.curLineupType ~= 56 then
		self.itemIcon:setDrawMask(false);
		self.itemIcon:setMask(true);
		if self.data.isTired then
			self.itemIcon:showText(0, LanUtil.getValue(701076));
		elseif self.curLineupType ~= 49 and self.data:isInLineup(49) then
			self.itemIcon:showText(0, LanUtil.formateStr(701075, tostring(1)));
		elseif self.curLineupType ~= 50 and self.data:isInLineup(50) then
			self.itemIcon:showText(0, LanUtil.formateStr(701075, tostring(2)));
		elseif self.curLineupType ~= 51 and self.data:isInLineup(51) then
			self.itemIcon:showText(0, LanUtil.formateStr(701075, tostring(3)));
		else
			self:superCall("updateSelected");
		end
	else
		self:superCall("updateSelected");
	end
end

function Lua_WildLodeLineupCell:onPressClick()
	if self.curLineupType ~= 52 and self.curLineupType ~= 55 and self.curLineupType ~= 56 then
		if self.data.isTired then
			OperateAlert.showLangValue(701077);
			return;
		elseif self.curLineupType ~= 49 and self.data:isInLineup(49) then
			OperateAlert.show(LanUtil.formateStr(701078, tostring(1)));
			return;
		elseif self.curLineupType ~= 50 and self.data:isInLineup(50) then
			OperateAlert.show(LanUtil.formateStr(701078, tostring(2)));
			return;
		elseif self.curLineupType ~= 51 and self.data:isInLineup(51) then
			OperateAlert.show(LanUtil.formateStr(701078, tostring(3)));
			return;
		end
	end
	self:superCall("onPressClick");
end