checkRequire("Lua_FightLineupWindow");
Lua_WildStageLineupWindow = class("Lua_WildStageLineupWindow", Lua_FightLineupWindow)
function Lua_WildStageLineupWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_WildStageLineupWindow";
end

function Lua_WildStageLineupWindow:showSceneByTemplateId(templateId)
    if templateId == nil then
        return;
    end

    if self.sceneDic == nil then
        self.sceneDic = {};
    end
    local sceneId = DataCenter.wildSecretData:getStageFightSceneId(self.stage_id);
    if sceneId == 0 then
        sceneId = DataCenter.heroLineupData:getFightLineupSceneId(templateId);
    end
    self.sceneDic[sceneId] = 1;
    self:setWinSceneId(sceneId);
end